<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This interface ensures that all cart processing objects have the right methods
 *
 * @package    OSB
 * @subpackage Cart
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
interface Cartable {
	// Render a cart line item.
	public function cart_item();
	// Return if this invoice is already in the cart
	public function cart_exists();
}
?>
